Get Info by username
Retrieve user information by username.
Note: Please be aware that the responses from Get Web Profile Info and Get Info by username and endpoints are different.
Params
| Name | Type | Default | Description |
|---|---|---|---|
| username (required) | string | – | Username |
Usage
- Python
- PHP
- cURL
from rocketapi import InstagramAPI
instagram_api = InstagramAPI(token="your-api-key")
print(instagram_api.get_user_info_by_username("kyliejenner"))
<?php
require('vendor/autoload.php');
use RocketAPI\InstagramAPI;
$api = new InstagramAPI('your-api-key');
print_r($api->getUserInfoByUsername("kyliejenner"));
curl --request POST \
--url https://v1.rocketapi.io/instagram/user/get_info_by_username \
--header 'Content-Type: application/json' \
--header 'Authorization: Token your-api-key' \
--data '{
"username": "kyliejenner"
}'
Response example
Loading...